nxt.http.callers

## Class GetAccountPhasedTransactionsCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetAccountPhasedTransactionsCall>
  - - nxt.http.callers.GetAccountPhasedTransactionsCall

-     public class GetAccountPhasedTransactionsCall
      extends APICall.Builder<GetAccountPhasedTransactionsCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetAccountPhasedTransactionsCall` | `account(long account)`
    `GetAccountPhasedTransactionsCall` | `account(java.lang.String account)`
    `GetAccountPhasedTransactionsCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetAccountPhasedTransactionsCall` | `create(int chain)`
    `GetAccountPhasedTransactionsCall` | `firstIndex(int firstIndex)`
    `GetAccountPhasedTransactionsCall` | `lastIndex(int lastIndex)`
    `GetAccountPhasedTransactionsCall` | `requireBlock(java.lang.String requireBlock)`
    `GetAccountPhasedTransactionsCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetAccountPhasedTransactionsCall create(int chain)

    - #### requireLastBlock

          public GetAccountPhasedTransactionsCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetAccountPhasedTransactionsCall firstIndex(int firstIndex)

    - #### lastIndex

          public GetAccountPhasedTransactionsCall lastIndex(int lastIndex)

    - #### account

          public GetAccountPhasedTransactionsCall account(java.lang.String account)

    - #### account

          public GetAccountPhasedTransactionsCall account(long account)

    - #### requireBlock

          public GetAccountPhasedTransactionsCall requireBlock(java.lang.String requireBlock)

    - #### adminPassword

          public GetAccountPhasedTransactionsCall adminPassword(java.lang.String adminPassword)